1Password Windows stuck on "Please ensure the latest version" screen on launch

Options

I just installed the current version of 1Password from the Microsoft Store. When launching, an image is displayed indicating that I should "Please ensure the latest version of 1Password for Windows is installed on your computer before opening Edge to enable the 1Password extension for the first time."

I have the latest as installed when downloading from the Microsoft Store. I also get an error of "You'll need a new app to open this onepassword4-extension" dialog popping up in Edge.

I have Norton Internet Security. Could this be interfering with communication between the app and extension?

Any ideas what could be going wrong?


1Password Version: 6.8.470.0
Extension Version: 4.6.12.90
OS Version: Windows 10 Home 1709
Sync Type: Not Provided

Comments

  • @david_g: What's available on the Windows Store is just an extension for Microsoft Edge. This extension still requires the main 1Password 6 desktop application. If you're using 1Password 4 for Windows, the Edge extension won't work for you just yet, but you'll be able to use a standalone vault and Edge when 1Password 7 is ready to go. If you already have a 1Password.com account, you should just need to get the app. If you you're just getting started with 1Password, our Getting Started guide is here to help. And, of course, if you have questions along the way, we're here to help. :chuffed:

This discussion has been closed.